%global pypi_name Flask-APScheduler
%global _description\
 Flask-APScheduler is a Flask extension which adds\
support for the APScheduler.

Name:           python-flask-apscheduler
Version:        1.7.0
Release:        1%{?dist}
Summary:        Adds APScheduler support to Flask

License:        ASL 2.0
URL:            https://github.com/viniciuschiele/flask-apscheduler
Source0:        https://files.pythonhosted.org/packages/source/F/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
 
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel

%description %_description

%package -n     python2-flask-apscheduler
Summary:        %{summary}
%{?python_provide:%python_provide python2-flask-apscheduler}
 
Requires:       python-flask >= 0.10.1
Requires:       python2-APScheduler >= 3.2.0
Requires:       python-dateutil >= 2.4.2
%description -n python2-flask-apscheduler %_description

%package -n     python3-flask-apscheduler
Summary:        %{summary}
%{?python_provide:%python_provide python3-flask-apscheduler}
 
Requires:       python3-flask >= 0.10.1
Requires:       python3-APScheduler >= 3.2.0
Requires:       python3-dateutil >= 2.4.2
%description -n python3-flask-apscheduler %_description

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
%py3_install
%py2_install

%files -n python2-flask-apscheduler
%doc README.rst
%{python2_sitelib}/flask_apscheduler
%{python2_sitelib}/Flask_APScheduler-%{version}-py*egg-info

%files -n python3-flask-apscheduler
%doc README.rst
%{python3_sitelib}/flask_apscheduler
%{python3_sitelib}/Flask_APScheduler-%{version}-py*egg-info

%changelog
* Sun Jun 18 2017 David Hannequin <david.hannequin@gmail.com> - 1.7.0-1
- Initial package.
